<?xml version="1.0"?>
<!DOCTYPE logtalk SYSTEM "logtalk.dtd">
<?xml-stylesheet type="text/xsl" href="lgtxml.xsl"?>
<logtalk>
<entity>
<name><![CDATA[termp]]></name>
<type>protocol</type>
<compilation>static</compilation>
<comment><![CDATA[Prolog terms protocol.]]></comment>
<authors><![CDATA[Paulo Moura]]></authors>
<version>1.0</version>
<date>2000/7/24</date>
</entity>
<relations>
</relations>
<predicates>
<public>
<predicate>
<name><![CDATA[ground/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[ground(@term)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[True if the argument is ground.]]></comment>
<template><![CDATA[ground(Term)]]></template>
</predicate>
<predicate>
<name><![CDATA[new/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[new(-nonvar)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[Creates a new term instance (if meaningful).]]></comment>
<template><![CDATA[new(Term)]]></template>
</predicate>
<predicate>
<name><![CDATA[occurs/2]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[occurs(@var,@term)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[True if the variable occurs in the term.]]></comment>
<template><![CDATA[occurs(Variable,Term)]]></template>
</predicate>
<predicate>
<name><![CDATA[subsumes/2]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[subsumes(@term,@term)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[The first term subsumes the second term.]]></comment>
<template><![CDATA[subsumes(General,Specific)]]></template>
</predicate>
<predicate>
<name><![CDATA[subterm/2]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[subterm(?term,+term)]]></template>
<solutions>zero_or_more</solutions>
</mode>
<comment><![CDATA[The first term is a subterm of the second term.]]></comment>
<template><![CDATA[subterm(Subterm,Term)]]></template>
</predicate>
<predicate>
<name><![CDATA[valid/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[valid(@nonvar)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[Term is valid.]]></comment>
<template><![CDATA[valid(Term)]]></template>
</predicate>
<predicate>
<name><![CDATA[vars/2]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[vars(@term,-list)]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[Returns a list of all term variables.]]></comment>
<template><![CDATA[vars(Term,List)]]></template>
</predicate>
</public>
<protected>
</protected>
<private>
</private>
</predicates>
</logtalk>
